#
# spec file for package aegisub
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with ffms2

Name:           aegisub
Version:        3.2.0
Release:        0
Summary:        Subtitle editor
License:        BSD-3-Clause
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://www.aegisub.net/
Source0:        http://ftp.aegisub.org/pub/releases/aegisub-%{version}.tar.xz
Patch0:         aegisub-old_wc.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel >= 1.50
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkg-config >= 0.20
%if 0%{?suse_version} >= 1320
BuildRequires:  wxWidgets-devel >= 3
%else
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires
BuildRequires:  wxWidgets-devel >= 2.9.5
%endif
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3) >= 3.3
BuildRequires:  pkgconfig(fontconfig) >= 2.4
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(hunspell) >= 1.2.0
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libpulse) >= 0.5
BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(zlib)
%if %{with ffms2}
BuildRequires:  pkgconfig(ffms2)
%endif

%description
Aegisub is an advanced subtitle editor for Windows, and UNIX-like systems, such
as Linux, Mac OS X and BSD. It is open source software and free for any use.

Aegisub natively works with the Advanced SubStation Alpha format (aptly
abbreviated ASS) which allows for many advanced effects in the subtitles, apart
from just basic timed text. Aegisub's goal is to support using these advanced
functions with ease.

%prep
%setup -q
%patch0 -p1
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" src/version.cpp
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" src/version.cpp

%build
autoreconf -fi
# Don't use --disable-update-checker because of http://blog.aegisub.org/2012/02/bit-of-statistics.html
%configure --with-player-audio=PulseAudio \
           --without-oss
# parallel make takes too much memory 
make -j1

%install
%make_install
%find_lang %{name}-32

%files -f %{name}-32.lang
%defattr(0644, root, root, 0755)
%doc LICENCE
%attr(0755,root,root) %{_bindir}/aegisub-3.2
%{_datadir}/aegisub/
%{_datadir}/applications/aegisub.desktop
%{_datadir}/icons/hicolor/*/apps/aegisub.*

%changelog
